WizardContext (install4j help)
Date: 2009-06-17

## install4j API documentation

## com.install4j.api.context
Interface WizardContext

    public interface WizardContext

The wizard context allows you to modify the GUI installer or uninstaller. It is returned by `Context.getWizardContext()` and is only available if the installer or uninstaller is running in GUI mode.

Author:
  ej-technologies GmbH
See Also:
  `Context.getWizardContext()`

Method Summary
`void` | `focusNextButton()` Transfer the focus the Next button.
`void` | `pressCancelButton()` Cancel the installer or uninstaller.
`void` | `pressNextButton()` Move to the next screen.
`void` | `pressPreviousButton()` Move to the previous screen.
`void` | `setBackButtonEnabled(boolean enabled)` Change the enabled status of the "Back" button at the bottom of the current screen.
`void` | `setBackButtonVisible(boolean enabled)` Change the visibility of the "Back" button at the bottom of the current screen.
`void` | `setCancelButtonEnabled(boolean enabled)` Change the enabled status of the "Cancel" button at the bottom of the current screen.
`void` | `setCancelButtonText(java.lang.String text)` Set the text on the "Cancel" button.
`void` | `setCancelButtonVisible(boolean enabled)` Change the visibility of the "Cancel" button at the bottom of the current screen.
`void` | `setNextButtonEnabled(boolean enabled)` Change the enabled status of the "Next" button at the bottom of the current screen.
`void` | `setNextButtonText(java.lang.String text)` Set the text on the "Next" button.
`void` | `setNextButtonVisible(boolean enabled)` Change the visibility of the "Next" button at the bottom of the current screen.
`void` | `setPreviousButtonText(java.lang.String text)` Set the text on the "Previous" button.

Method Detail

### setNextButtonEnabled

    void setNextButtonEnabled(boolean enabled)

  Change the enabled status of the "Next" button at the bottom of the current screen. This setting applies only to the currently displayed screen.

  Parameters:
    `enabled` - if the button should be enabled or not

### setBackButtonEnabled

    void setBackButtonEnabled(boolean enabled)

  Change the enabled status of the "Back" button at the bottom of the current screen. This setting applies only to the currently displayed screen.

  Parameters:
    `enabled` - if the button should be enabled or not

### setCancelButtonEnabled

    void setCancelButtonEnabled(boolean enabled)

  Change the enabled status of the "Cancel" button at the bottom of the current screen. This setting applies only to the currently displayed screen.

  Parameters:
    `enabled` - if the button should be enabled or not

### setNextButtonVisible

    void setNextButtonVisible(boolean enabled)

  Change the visibility of the "Next" button at the bottom of the current screen. This setting applies only to the currently displayed screen.

  Parameters:
    `enabled` - if the button should be enabled or not

### setBackButtonVisible

    void setBackButtonVisible(boolean enabled)

  Change the visibility of the "Back" button at the bottom of the current screen. This setting applies only to the currently displayed screen.

  Parameters:
    `enabled` - if the button should be enabled or not

### setCancelButtonVisible

    void setCancelButtonVisible(boolean enabled)

  Change the visibility of the "Cancel" button at the bottom of the current screen. This setting applies only to the currently displayed screen.

  Parameters:
    `enabled` - if the button should be enabled or not

### pressNextButton

    void pressNextButton()

  Move to the next screen. This has the same effect as if the user clicks on the Next button.

### pressPreviousButton

    void pressPreviousButton()

  Move to the previous screen. This has the same effect as if the user clicks on the Back button.

### pressCancelButton

    void pressCancelButton()

  Cancel the installer or uninstaller. This has the same effect as if the user clicks on the Cancel button.

### focusNextButton

    void focusNextButton()

  Transfer the focus the Next button. This could be called in the "Post-activation" script of a screen.

### setNextButtonText

    void setNextButtonText(java.lang.String text)

  Set the text on the "Next" button.

  Parameters:
    `text` - the new text

### setPreviousButtonText

    void setPreviousButtonText(java.lang.String text)

  Set the text on the "Previous" button.

  Parameters:
    `text` - the new text

### setCancelButtonText

    void setCancelButtonText(java.lang.String text)

  Set the text on the "Cancel" button.

  Parameters:
    `text` - the new text